package com.viettel.campaign.service;

import com.viettel.campaign.web.dto.CampaignAgentDTO;
import com.viettel.campaign.web.dto.ResultDTO;
import com.viettel.campaign.web.dto.request_dto.CampaignAgentRequestDTO;

import java.util.List;

public interface AgentsService {
    ResultDTO getAgentsByAgentId(String agentId);

    ResultDTO getAllAgentByCompanySiteId(int page, int pageSize, Long companySiteId);

    ResultDTO getAllAgentSelectedByCompanySiteId(int page, int pageSize, Long companySiteId, Long campaignId);

    ResultDTO createCampaignAgent(CampaignAgentDTO campaignAgentDTO);

    ResultDTO deleteCampaignAgentById(List<Long> campaignAgentId);

    ResultDTO searchCampaignAgentByName(int page, int pageSize, Long companySiteId, String userName, String fullName);

    ResultDTO searchCampaignAgentSelectByName(int page, int pageSize, Long companySiteId, Long campaignId, String userName, String fullName);

    ResultDTO createMultipleCampaignAgent(CampaignAgentRequestDTO campaignAgentRequestDTO);
}
